;CParticles default color changer

;[obj]          = VTable
;[obj+4]        = n/a
;[obj+8]        = particle's encrypted name ID
;[obj+12]       = color to use

AT109MAIN:
push esi
mov esi,ecx

;/* CHECK IF WE ARE MODIFYING ONE OF THE 7 DEFAULT PARTICLE TYPES

     mov edx,[esi+8]
     call CParticlesFindTypeIDInTable
     cmp eax,-1
	 jz NoAT109MAINNightModeCheck

     mov edx,[esi+12]			;new color
     mov [CPAT109Color+eax],edx       ;change color in buffer only so that NIGHT modifications apply

     ;call CParticlesColorGlobalUpdate    ;because should only be used during level load (CStartTrigger)
					  ;this will only be called at ENDLEVELLOAD

pop esi
ret
;*/

NoAT109MAINNightModeCheck:

     stdcall [CPARTICLESGETOBJPROC],[esi+8],0	  ;this returns a pointer to a CParticles data structure (if existing)
     add esp,8					  ;corresponding the particle type name ID passed as first param
     test eax,eax
     mov edx,[esi+12]			;new color
	  jz AT109MAIN_ERROR

     mov [eax+4],edx			;update color

AT109MAIN_ERROR:
pop esi
ret


;==========================================================
AT109_REINIT:		     ;APPLY THIS ACTIONTYPE AT ANY LEVEL RESTART OR LOAD

     call AT109MAIN

mov eax,[esp+4]
ret 4