;========================================================
;MENU AND GAME DIFFICULTY DATA
;========================================================

GameDifficultyValue		dd	2
SLIDER_METHOD_TRUE		dd	0
BUTTON_METHOD_TRUE		dd	0
CHECKBOX_METHOD_TRUE		dd	0
HOTSPOT_METHOD_TRUE		dd	0
CHECKBOX_MATRIX_OBJ		dd	0
CHECKBOX_JUMP_DINOS_OBJ 	dd	0
CHECKBOX_RANDOM_INSTANCES_OBJ	dd	0
CHECKBOX_FAST_RESTART_OBJ	dd	0
MAINSCREEN_DDF_RET_ADDR 	dd	0
MAINSCREEN_TEMP_FILE_NAMEONLY	db	'mainscreen.ddf',0
RENDER_TEMP_FILE_NAMEONLY	db	'render.ddf',0
FLOAT_PRINT_SIX_DEC		db	"%.6f",0

;========================================================
;mainscreen.ddf additions
;========================================================

UseNewMenuItems 	 dd	 0

NEW_MENU_DATA_BUFFER:
db 0Dh,0Ah,0Dh,0Ah

;-----------------------
;Game difficulty text
;-----------------------
db 'UICTRL "textbox" 1 1 -1 482 260 622 275',0Dh,0Ah
db '        1                      ',0Dh,0Ah		     ; Transparent Bk
db '        1                      ',0Dh,0Ah		     ; Back Lit
db '        1                      ',0Dh,0Ah		     ; Back lit offset
db '        0 0 0                  ',0Dh,0Ah		     ; Back lit color
db '        "Game Difficulty"      ',0Dh,0Ah		     ; Initial Text
db '        12                     ',0Dh,0Ah		     ; Point Size
db '        500                    ',0Dh,0Ah		     ; Weight
db '        0 255 0                ',0Dh,0Ah		     ; Bk Color
db '        255 255 255            ',0Dh,0Ah		     ; FG Color
db '        0x0                    ',0Dh,0Ah		     ; DT Flags
db '        0                      ',0Dh,0Ah		     ; Draw Border
db 0Dh,0Ah

db 'UICTRL "textbox" 1 1 -1 440 280 610 290',0Dh,0Ah
db '        1                      ',0Dh,0Ah		     ; Transparent Bk
db '        1                      ',0Dh,0Ah		     ; Back Lit
db '        1                      ',0Dh,0Ah		     ; Back lit offset
db '        0 0 0                  ',0Dh,0Ah		     ; Back lit color
db '        "Very Easy     Easy      Normal      Hard    Very Hard"      ',0Dh,0Ah		   ; Initial Text
db '        8                      ',0Dh,0Ah		     ; Point Size
db '        500                    ',0Dh,0Ah		     ; Weight
db '        0 255 0                ',0Dh,0Ah		     ; Bk Color
db '        255 255 255            ',0Dh,0Ah		     ; FG Color
db '        0x0                    ',0Dh,0Ah		     ; DT Flags
db '        0                      ',0Dh,0Ah		     ; Draw Border
db 0Dh,0Ah

;Gutter for difficulty slider (background image)
db 'UICTRL "static" 1 1 -1 450 300 -1 -1',0Dh,0Ah
db '        1 "menu\\gutter_150.tga"  ',0Dh,0Ah
db 0Dh,0Ah

;Game difficulty slider (width=146, height=14)
db 'UICTRL "slider" 1 1 1956 452 295 598 309',0Dh,0Ah		 ;1956 -> used to ID slider
db '        "menu\\slider.tga"     ',0Dh,0Ah
db '        5                      ',0Dh,0Ah		     ; # of units
db '        '
   Default_GSPD_Slider_Unit_Value:
db	   '0                      ',0Dh,0Ah		     ; Default Unit value
db '        0                      ',0Dh,0Ah		     ; Border/Ticks
db 0Dh,0Ah

;-----------------------
;ATX version ID
;-----------------------
db 'UICTRL "textbox" 1 1 -1 500 0 600 20',0Dh,0Ah
db '        1                      ',0Dh,0Ah		     ; Transparent Bk
db '        1                      ',0Dh,0Ah		     ; Back Lit
db '        1                      ',0Dh,0Ah		     ; Back lit offset
db '        0 0 0                  ',0Dh,0Ah		     ; Back lit color
db '        "ATX v',ATX_VERSION,' BETA" ',0Dh,0Ah		  ; Initial Text
db '        12                     ',0Dh,0Ah		     ; Point Size
db '        500                    ',0Dh,0Ah		     ; Weight
db '        0 255 0                ',0Dh,0Ah		     ; Bk Color
db '        255 255 255            ',0Dh,0Ah		     ; FG Color
db '        0x0                    ',0Dh,0Ah		     ; DT Flags
db '        0                      ',0Dh,0Ah		     ; Draw Border
db 0Dh,0Ah

;CHECKBOX: width = -50 , height = +15

;-----------------------
;Matrix checkbox        (1rst from top)
;-----------------------
db 'UICTRL "checkbox" 1 1 1869 455 325 405 340',0Dh,0Ah
db '        "menu\\check_0.tga"       ',0Dh,0Ah
db '        "menu\\check_1.tga"       ',0Dh,0Ah
db '        "menu\\check_2.tga"       ',0Dh,0Ah
db '        "menu\\check_3.tga"       ',0Dh,0Ah
db 0Dh,0Ah

;Matrix text
db 'UICTRL "textbox" 1 1 -1 475 325 625 340',0Dh,0Ah
db '        1                      ',0Dh,0Ah		     ; Transparent Bk
db '        1                      ',0Dh,0Ah		     ; Back Lit
db '        1                      ',0Dh,0Ah		     ; Back lit offset
db '        0 0 0                  ',0Dh,0Ah		     ; Back lit color
db '        "Enable Matrix effect" ',0Dh,0Ah		     ; Initial Text
db '        10                     ',0Dh,0Ah		     ; Point Size
db '        500                    ',0Dh,0Ah		     ; Weight
db '        0 255 0                ',0Dh,0Ah		     ; Bk Color
db '        255 255 255            ',0Dh,0Ah		     ; FG Color
db '        0x0                    ',0Dh,0Ah		     ; DT Flags
db '        0                      ',0Dh,0Ah		     ; Draw Border
db 0Dh,0Ah

;Matrix hotspot
db 'UICTRL "hotspot" 1 1 1669 455 325 570 340 0',0Dh,0Ah
db 0Dh,0Ah

;-----------------------
;Jumping dinos checkbox  (2nd from top)
;-----------------------
db 'UICTRL "checkbox" 1 1 1868 455 345 405 360',0Dh,0Ah
db '        "menu\\check_0.tga"       ',0Dh,0Ah
db '        "menu\\check_1.tga"       ',0Dh,0Ah
db '        "menu\\check_2.tga"       ',0Dh,0Ah
db '        "menu\\check_3.tga"       ',0Dh,0Ah
db 0Dh,0Ah

;Jumping dinos text
db 'UICTRL "textbox" 1 1 -1 475 345 625 360',0Dh,0Ah
db '        1                      ',0Dh,0Ah		     ; Transparent Bk
db '        1                      ',0Dh,0Ah		     ; Back Lit
db '        1                      ',0Dh,0Ah		     ; Back lit offset
db '        0 0 0                  ',0Dh,0Ah		     ; Back lit color
db '        "Disable jumping dinos" ',0Dh,0Ah		      ; Initial Text
db '        10                     ',0Dh,0Ah		     ; Point Size
db '        500                    ',0Dh,0Ah		     ; Weight
db '        0 255 0                ',0Dh,0Ah		     ; Bk Color
db '        255 255 255            ',0Dh,0Ah		     ; FG Color
db '        0x0                    ',0Dh,0Ah		     ; DT Flags
db '        0                      ',0Dh,0Ah		     ; Draw Border
db 0Dh,0Ah

;Jumping dinos hotspot
db 'UICTRL "hotspot" 1 1 1668 455 345 580 360 0',0Dh,0Ah
db 0Dh,0Ah

;-----------------------
;Disable Fast Restart checkbox  (3rd from top)
;-----------------------
db 'UICTRL "checkbox" 1 1 1866 455 365 405 380',0Dh,0Ah
db '        "menu\\check_0.tga"       ',0Dh,0Ah
db '        "menu\\check_1.tga"       ',0Dh,0Ah
db '        "menu\\check_2.tga"       ',0Dh,0Ah
db '        "menu\\check_3.tga"       ',0Dh,0Ah
db 0Dh,0Ah

;Disable Fast Restart text
db 'UICTRL "textbox" 1 1 -1 475 365 625 425',0Dh,0Ah
db '        1                      ',0Dh,0Ah		     ; Transparent Bk
db '        1                      ',0Dh,0Ah		     ; Back Lit
db '        1                      ',0Dh,0Ah		     ; Back lit offset
db '        0 0 0                  ',0Dh,0Ah		     ; Back lit color
db '        "Disable Fast Level Restart"    ',0Dh,0Ah		      ; Initial Text
db '        10                     ',0Dh,0Ah		     ; Point Size
db '        500                    ',0Dh,0Ah		     ; Weight
db '        0 255 0                ',0Dh,0Ah		     ; Bk Color
db '        255 255 255            ',0Dh,0Ah		     ; FG Color
db '        0x0                    ',0Dh,0Ah		     ; DT Flags
db '        0                      ',0Dh,0Ah		     ; Draw Border
db 0Dh,0Ah

;Disable Fast Restart hotspot
db 'UICTRL "hotspot" 1 1 1666 455 365 590 380 0',0Dh,0Ah
db 0Dh,0Ah

	NEW_MENU_DATA_BUFFER_END_DEMO:

;-----------------------
;Random instances checkbox  (4th from top)
;-----------------------
db 'UICTRL "checkbox" 1 1 1867 455 385 405 400',0Dh,0Ah
db '        "menu\\check_0.tga"       ',0Dh,0Ah
db '        "menu\\check_1.tga"       ',0Dh,0Ah
db '        "menu\\check_2.tga"       ',0Dh,0Ah
db '        "menu\\check_3.tga"       ',0Dh,0Ah
db 0Dh,0Ah

;Random instances text
db 'UICTRL "textbox" 1 1 -1 475 385 625 445',0Dh,0Ah
db '        1                      ',0Dh,0Ah		     ; Transparent Bk
db '        1                      ',0Dh,0Ah		     ; Back Lit
db '        1                      ',0Dh,0Ah		     ; Back lit offset
db '        0 0 0                  ',0Dh,0Ah		     ; Back lit color
db '        "Enable object randomization (for certain levels only; must be disabled for others)" ',0Dh,0Ah		   ; Initial Text
db '        10                     ',0Dh,0Ah		     ; Point Size
db '        500                    ',0Dh,0Ah		     ; Weight
db '        0 255 0                ',0Dh,0Ah		     ; Bk Color
db '        255 255 255            ',0Dh,0Ah		     ; FG Color
db '        0x10                   ',0Dh,0Ah		     ; DT Flags (DT_WORDBREAK)
db '        0                      ',0Dh,0Ah		     ; Draw Border
db 0Dh,0Ah

;Random dinos hotspot
db 'UICTRL "hotspot" 1 1 1667 455 385 600 400 0',0Dh,0Ah

db 0Dh,0Ah
	NEW_MENU_DATA_BUFFER_END:

;========================================================
NEW_RENDER_DATA_BUFFER:
db 0Dh,0Ah
db 0Dh,0Ah

;-----------------------
;draw distance text
;-----------------------
db 'UICTRL "textbox" 1 1 -1 202 201 300 219',0Dh,0Ah
db '        1                      ',0Dh,0Ah		     ; Transparent Bk
db '        1                      ',0Dh,0Ah		     ; Back Lit
db '        1                      ',0Dh,0Ah		     ; Back lit offset
db '        0 0 0                  ',0Dh,0Ah		     ; Back lit color
db '        "Draw Distance"        ',0Dh,0Ah		     ; Initial Text
db '        12                     ',0Dh,0Ah		     ; Point Size
db '        500                    ',0Dh,0Ah		     ; Weight
db '        0 255 0                ',0Dh,0Ah		     ; Bk Color
db '        255 255 255            ',0Dh,0Ah		     ; FG Color
db '        0x0                    ',0Dh,0Ah		     ; DT Flags
db '        0                      ',0Dh,0Ah		     ; Draw Border
db 0Dh,0Ah

;Gutter for draw dist. slider (background image)
db 'UICTRL "static" 1 1 -1 37 205 -1 -1',0Dh,0Ah
db '        1 "menu\\gutter_150.tga"  ',0Dh,0Ah
db 0Dh,0Ah

;Draw Distance slider (width=146, height=14)
db 'UICTRL "slider" 1 1 1794 39 200 185 214',0Dh,0Ah		;1794 -> used to ID slider
db '        "menu\\slider.tga"     ',0Dh,0Ah
db '        301                    ',0Dh,0Ah		     ; # of units
db '        '
   Default_DRAWDIST_Slider_Unit_Value:
db	   '0                      ',0Dh,0Ah		     ; Default Unit value
db '        0                      ',0Dh,0Ah		     ; Border/Ticks
db 0Dh,0Ah

db 0Dh,0Ah
NEW_RENDER_DATA_BUFFER_END: